Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 842107 - Review Request: sugar-america - Game about the America geography
Summary: Review Request: sugar-america - Game about the America geography
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-07-22 05:46 UTC by Danishka Navin
Modified: 2015-02-22 00:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-22 00:43:44 UTC
zbyszek: fedora-review?


Attachments (Terms of Use)

Description Danishka Navin 2012-07-22 05:46:39 UTC
Spec URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america-5-1.fc17.src.rpm

Description: 
A Game about the America geography. It has 30 maps of each coutry and 3 generals. 

http://wiki.sugarlabs.org/go/Activities/ConozcoAmerica

Fedora Account System Username:  snavin

Comment 2 Vasiliy Glazov 2012-08-15 06:11:13 UTC
Unofficial review.

It duplicate https://bugzilla.redhat.com/show_bug.cgi?id=838252 ?

1. sugar-america.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)

Comment 3 Michael Schwendt 2012-12-14 13:45:56 UTC
https://fedoraproject.org/wiki/Package_Review_Process
| 
| Wait for someone to review your package! At this point in the process,
| the fedora-review flag is blank, meaning that no reviewer is assigned.

An incorrectly/mistakably set fedora-review flag causes the ticket to be listed as being worked on by somebody.

Comment 4 Danishka Navin 2013-06-04 04:16:25 UTC
Updated to version 7 and fixed the warning mentioned on comment #2

SPEC file URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america-7-1.fc18.src.rpm

Comment 5 Mario Blättermann 2013-06-08 12:08:22 UTC
Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5483111

First I assumed we need python2-devel to run the setup script. But there seems to be a problem while unpacking the tarball:

+ /usr/bin/unzip -qq /builddir/build/SOURCES/i_know_america-7.xo
replace IknowAmerica.activity/locale/mi/activity.linfo? [y]es, [n]o, [A]ll, [N]one, [r]ename:  NULL
(EOF or read error, treating as "[N]one" ...)

Don't know what to do here. The source package creates the named folder and a folder with the same name inside...? That's strange. It leads to a prompt which asks for overwriting existing files.


BTW, I'm quite sure that it needs python2-devel anyway.

Comment 6 Danishka Navin 2013-06-11 08:18:45 UTC
>+ /usr/bin/unzip -qq /builddir/build/SOURCES/i_know_america-7.xo
>replace IknowAmerica.activity/locale/mi/activity.linfo? [y]es, [n]o, [A]ll, >[N]one, [r]ename:  NULL
>(EOF or read error, treating as "[N]one" ...)

I could not find a solution to overcome this issue.

Comment 7 Jason Tibbitts 2013-06-12 15:38:19 UTC
Please clear the whiteboard if the package becomes reviewable.

Comment 8 Danishka Navin 2013-09-23 07:53:26 UTC
fixed the previous error and rebuild with latest version of the source.

SPEC URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-america/sugar-america-8-1.fc18.src.rpm

Comment 9 Johan Swensson 2013-10-22 07:16:43 UTC
%{__python} is deprecated, use %{__python2} instead.

Comment 10 Zbigniew Jędrzejewski-Szmek 2013-10-27 16:59:03 UTC
It seems that this review request is more advanced and up-to-date than https://bugzilla.redhat.com/show_bug.cgi?id=838252.

+ License is OK.
+ Sources are OK.
+ Packaging looks mostly OK.

- Note: No known owner of /usr/share/locale/quz,
     /usr/share/locale/ayc/LC_MESSAGES, /usr/share/locale/ayc,
     /usr/share/locale/quz/LC_MESSAGES

- Name is not OK: I think the name from https://bugzilla.redhat.com/show_bug.cgi?id=838252 (sugar-iknowamerica) is better, or maybe sugar-conozcoamerica should be used.

- Can you extend the description a bit: what is the age level of the game, what kind of a game it is, etc.

- /usr/share/sugar/activities/IknowAmerica.activity/recursos/comun/fuentes/Share-Regular.ttf is a font file and should be separated into a subpackage that this package depends on (https://fedoraproject.org/wiki/Packaging:FontsPolicy). (Unless it is packaged somewhere else, but I couldn't find it.)

Comment 11 Zbigniew Jędrzejewski-Szmek 2013-10-27 17:03:09 UTC
Oh, the font is also in sugar-srilanka-0:1-4.fc20.noarch. It should be unbundled from both and shared.


Note You need to log in before you can comment on or make changes to this bug.